#!/bin/bash

VERSION=$2
PACKAGE=$(dpkg-parsechangelog | sed -ne 's/^Source: \(.*\)/\1/p')
REVISION=$(echo $VERSION | sed -ne 's/^.*~r\(.*\)/\1/p')
DIR=$PACKAGE-$VERSION.orig
TAR=../$PACKAGE'_'$VERSION'.orig.tar.xz'
SVN_REPOS=http://cofoja.googlecode.com/svn

rm -Rf $3 $DIR
svn export -r $REVISION http://cofoja.googlecode.com/svn/trunk/ $DIR
XZ_OPT=--best tar cJvf $TAR $DIR
rm -rf $DIR
